package com.ruoyi.predict.service.impl;

import com.ruoyi.predict.domain.WfUspEfPara;
import com.ruoyi.predict.mapper.WfUspEfParaMapper;
import com.ruoyi.predict.service.IWfUspEfParaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * WfUspEfParaService业务层处理
 *
 * @author hlf
 * @date 2021-09-28
 */
@Service
public class WfUspEfParaServiceImpl implements IWfUspEfParaService {
    @Autowired(required = false)
    private WfUspEfParaMapper wfUspEfParaMapper;

    /**
     * 查询WfUspEfPara
     *
     * @param windplantNo WfUspEfParaID
     * @return WfUspEfPara
     */
    @Override
    public WfUspEfPara selectWfUspEfParaById(Long windplantNo, Long modelNo)
    {
        return wfUspEfParaMapper.selectWfUspEfParaById(windplantNo, modelNo);
    }

    /**
     * 查询WfUspEfPara列表
     *
     * @param wfUspEfPara WfUspEfPara
     * @return WfUspEfPara
     */
    @Override
    public List<WfUspEfPara> selectWfUspEfParaList(WfUspEfPara wfUspEfPara)
    {
        return wfUspEfParaMapper.selectWfUspEfParaList(wfUspEfPara);
    }

    /**
     * 新增WfUspEfPara
     *
     * @param wfUspEfPara WfUspEfPara
     * @return 结果
     */
    @Override
    public int insertWfUspEfPara(WfUspEfPara wfUspEfPara)
    {
        return wfUspEfParaMapper.insertWfUspEfPara(wfUspEfPara);
    }

    /**
     * 修改WfUspEfPara
     *
     * @param wfUspEfPara WfUspEfPara
     * @return 结果
     */
    @Override
    public int updateWfUspEfPara(WfUspEfPara wfUspEfPara)
    {
        return wfUspEfParaMapper.updateWfUspEfPara(wfUspEfPara);
    }

    /**
     * 删除WfUspEfPara信息
     *
     * @param windplantNo WfUspEfParaID
     * @return 结果
     */
    @Override
    public int deleteWfUspEfParaById(Long windplantNo, Long modelNo)
    {
        return wfUspEfParaMapper.deleteWfUspEfParaById(windplantNo, modelNo);
    }
}
